
Figure - Bug #116443
【BSP】【EVT2】【VC1】【power】【偶现一次】屏幕背光亮无画面输出，TP不可用；投屏出来显示闹钟画
面
2023-02-22 11:53 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2023-02-22

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 80%

Category: 黑屏 Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: [ro.build.display.id]: [01.00.0068.X101]  userdebug

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Free Test Root cause: MPU端驱动正常，虚拟投屏正常，应为屏端异常导致黑屏

Description

前置条件：

屏幕处于熄屏时钟画面

操作步骤：

1.在屏幕处于熄屏时钟画面，等待一段时间不做任何操作

2. 使用 adb shell getevent -rlt　看一下是否TP有报点

预期结果：

1.查看屏幕显示画面是否正常

2.查看板子是否有异常

实际结果：

1.屏幕黑的没画面输出，背光亮，tp不能用，投屏出来显示闹钟画面

2.板子anddroid正常运行，adb端口可用

3.屏幕和板子一起电流大小为1.7A左右

History

#1 - 2023-02-23 14:33 - CD BSP-杜磊

- Description updated

#2 - 2023-02-23 16:06 - CD BSP-杜磊

- Status changed from New to ASSIGNED

#3 - 2023-02-28 11:20 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to BSP组-RD3_TSCD 贾顺旺

#4 - 2023-02-28 13:50 - CD TPM-王祥林

- Category set to BSP

#5 - 2023-02-28 14:32 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#6 - 2023-03-01 13:56 - BSP组-RD3_TSCD 贾顺旺

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to 移动测试一组_CDTS 刘强
#7 - 2023-03-03 13:09 - CD BSP-杜磊

- Status changed from ASSIGNED to NEED_INFO

#8 - 2023-03-07 11:03 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_Test 吴诗雨

请帮忙复现验证，使用MTBF脚本每天压测，更新最新验证情况

#9 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#10 - 2023-03-07 14:49 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303040019

【复现情况】未复现上述情况

#11 - 2023-03-08 14:15 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0080.C101

【复现情况】MTBF16小时未复现上述情况

#12 - 2023-03-09 15:01 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

【复现情况】MTBF16小时未复现上述情况

#13 - 2023-03-10 17:15 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

【复现情况】MTBF16小时未复现上述情况

#14 - 2023-03-14 09:53 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

【复现情况】MTBF16小时未复现上述情况

#15 - 2023-03-20 15:38 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303191230

【复现情况】MTBF16小时未复现上述情况

#16 - 2023-03-21 09:55 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED
【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303191230

【复现情况】MTBF两台16小时未复现

#17 - 2023-03-21 09:55 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#18 - 2023-03-21 09:55 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#19 - 2023-04-23 15:15 - CDTS-TEST 周婷

- Status changed from CLOSED to New

- Assignee changed from CDTS_Test 吴诗雨 to CD TPM-王祥林

请重新分析

#20 - 2023-05-08 16:54 - 物联网项目组-RD3_CDTS 周飞

- Assignee changed from CD TPM-王祥林 to CD BSP-杜磊

#21 - 2023-05-11 10:55 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT2】【power】【偶现一次】屏幕背光亮无画面输出，TP不可用；投屏出来显示闹钟画面 to 【BSP】【EVT2】【VC1

】【power】【偶现一次】屏幕背光亮无画面输出，TP不可用；投屏出来显示闹钟画面

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-杜磊 to CDTS-TEST 周婷

- % Done changed from 0 to 80

- Root cause set to MPU端驱动正常，虚拟投屏正常，应为屏端异常导致黑屏

根据附件log信息，分析如下：

1.显示芯片初始化正常，根据描述背光亮，说明背光打开正常，且系统未休眠。

867:[   15.119551] [MAX975X:max96755g_probe] ERROR begin 

904:[   15.681010] [MAX975X:max96755x_init] ERROR begin 

905:[   15.852524] [MAX975X:max96755x_init] ERROR read:752 0x13:da

906:[   15.858872] [MAX975X:max96755x_init] ERROR read:755 0x13:da

907:[   15.864823] [MAX975X:max96755x_init] ERROR done 

908:[   15.870236] [MAX975X:max96755g_probe] ERROR backlight on failed 7

909:[   15.876831] [MAX975X:max96755g_probe] ERROR done 

4602:[   45.541487] [MAX975X:max96755x_drm_notifier_callback] ERROR receives EARLY_BLANK:UNBLANK

4617:[   45.650966] [MAX975X:max96755x_drm_notifier_callback] ERROR receives BLANK:UNBLANK

2.Touch注册正常

910:[   15.882219] atmel_mxt_ts 0-004a: ATMEL MaXTouch Driver version 4.12c

911:[   15.889109] atmel_mxt_ts 0-004a: Using gpiod to irq mapping(383) to overrite the client's irq(0)

912:[   15.898160] atmel_mxt_ts 0-004a: Mxt Reset (Flag: 0C)

913:[   15.903391] atmel_mxt_ts 0-004a: Resetting chip(H)

914:[   15.932109] atmel_mxt_ts 0-004a: <Seqnum>: 0 -> 0

915:[   16.960905] atmel_mxt_ts 0-004a: Family: 164 Variant: 56 Firmware V2.0.AA Objects: 42

933:[   16.981714] atmel_mxt_ts 0-004a: Falling back to syfs fallback for: maxtouch.cfg

934:[   16.982648] atmel_mxt_ts 0-004a: T6 Config Checksum: 0x1B6EAC

1448:[   25.546285] atmel_mxt_ts 0-004a: Device config CRC 0x1B6EAC: does not match file CRC 0xFC63CD: Updating...
1454:[   25.644154] atmel_mxt_ts 0-004a: First object found T68

1599:[   29.225411] atmel_mxt_ts 0-004a: T6 Config Checksum: 0xFC63CD

1610:[   29.444088] atmel_mxt_ts 0-004a: Resetting device(0E)

1611:[   29.449393] atmel_mxt_ts 0-004a: Mxt Reset (Flag: 0E)

1612:[   29.454681] atmel_mxt_ts 0-004a: Resetting chip(S)

1613:[   29.460355] atmel_mxt_ts 0-004a: <Seqnum>: 2 -> 0

1635:[   30.501137] atmel_mxt_ts 0-004a: Config successfully updated

1636:[   30.507020] atmel_mxt_ts 0-004a: Config file updated, release the input device

1637:[   30.515110] atmel_mxt_ts 0-004a: mxt_config: Registering devices

1638:[   30.526925] atmel_mxt_ts 0-004a: Touchscreen size {x,y} = {2559,1079}

1639:[   30.536882] input: Atmel maXTouch Touchscreen as /devices/platform/soc/980000.i2c/i2c-0/0-004a/input/input3

1642:[   30.555721] atmel_mxt_ts 0-004a: Touchscreen size {x,y} = {2559,1079}

1644:[   30.579146] atmel_mxt_ts 0-004a: Initialized power cfg: ACTV 255, IDLE 20

1645:[   30.586147] atmel_mxt_ts 0-004a: Get Irqflags 0x0, will check Retrigen mode

1646:[   30.595473] atmel_mxt_ts 0-004a: RETRIGEN Enabled feature

4604:[   45.550629] atmel_mxt_ts 0-004a: FB event:2,blank:0

4605:[   45.550962] atmel_mxt_ts 0-004a: suspend: event = 2,  blank = 0, not care

4618:[   45.665451] atmel_mxt_ts 0-004a: FB event:1,blank:0

4619:[   45.665480] atmel_mxt_ts 0-004a: drm_notifier_callback: UNBLANK! Resume by drm notifier.

根据之前青岛反馈的黑屏较为类似，均为虚拟投屏有显示，而屏端无画面输出。　

此种情况应为屏端内部错误导致的异常，而非MPU端异常错误。

此类问题需要厂商进行优化。

#22 - 2023-06-02 10:57 - CDTS-TEST 周婷

- Assignee changed from CDTS-TEST 周婷 to CD BSP-余霄

需跟踪厂商优化结果

#23 - 2023-06-02 18:55 - CD TEST-方永红

- Status changed from RESOLVED to ASSIGNED

#24 - 2023-06-05 21:18 - CDTS-TEST 周婷

- Assignee changed from CD BSP-余霄 to CD BSP-杜磊

#25 - 2023-06-06 14:13 - CD BSP-杜磊

成都当前没有更新的屏端控制器软件，屏端控制器软件需要更新后，再用最新修改的版本来进行压测。

#26 - 2023-06-09 15:17 - CDTS-TEST 周婷

- Category changed from BSP to 黑屏

#27 - 2023-06-12 10:54 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to CD TEST-方永红

请使用110版本进行复测
#28 - 2023-07-03 14:13 - CD TEST-方永红

7.3

使用110版本及116版本各测试10次不复现

#29 - 2023-07-10 16:08 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

7.10

120版本长时间测试未复现

先关闭

#30 - 2023-07-10 16:09 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 2.54 MB 2023-02-22 SZTS_TEST 邹涛

dmesg.txt 959 KB 2023-02-22 SZTS_TEST 邹涛

Serial-COM15_20230222110736.log 433 KB 2023-02-22 SZTS_TEST 邹涛

中科创达软件股份有限公司20230222-114013.jpg 123 KB 2023-02-22 SZTS_TEST 邹涛

中科创达软件股份有限公司20230222-114023.jpg 155 KB 2023-02-22 SZTS_TEST 邹涛
